from Def3d import *
from Materials import *

def create_scene_graph():
	objroot=BranchGroup()
	
	transf=Transform3D()
	temp=Transform3D()
	transf.rotX(Math.PI/4.0)
	temp.rotY(Math.PI/5.0)
	transf.mul(temp)
	objrotate=TransformGroup(transf)
	
	defbounds=BoundingSphere(Point3d(0,0,0),80)
	
	ap=plastic_red()
	
	light=DirectionalLight(1 , Color3f(1, 1, 1), Vector3f(0.3, 0.2, -1))
	light.setInfluencingBounds(defbounds)
	
	amblight=AmbientLight(1, Color3f(1,1,1))
	amblight.setInfluencingBounds(defbounds)
	
	#primitive=Box(0.4, 0.3, 0.2, ap)
	primitive=Sphere(0.5,ap)
	#primitive=Cone(0.5,1.0,ap)
	
	backg=Background(Color3f(0, 0.3, 0.7))
	backg.setApplicationBounds(defbounds)
	
	objrotate.addChild(primitive)
	objroot.addChild(objrotate)
	objroot.addChild(light)
	objroot.addChild(amblight)
	objroot.addChild(backg)
	return objroot

mf=MainFrame(Hello(create_scene_graph),256,256)
