from Def3d import *

def create_scene_graph(u):
	root=BranchGroup()
	root.addChild(create_land())
	vpt=u.getViewingPlatform().getViewPlatformTransform()
	translate=Transform3D(Quat4f(),Vector3f(0,3,0),1)
	vpt.setTransform(translate)
	knb=KeyNavigatorBehavior(vpt)
	knb.setSchedulingBounds(defbounds)
	
	protate=PickRotateBehavior(root,u.getCanvas(),defbounds)

	root.addChild(protate)
	root.addChild(knb)
	root.compile()
	return root

def create_land():
	root=BranchGroup()
	for x in [1, 2, 3, 4]:
		for y in [1, 2, 3, 4]:
			tg=TransformGroup(Transform3D(Quat4f(),Vector3f(x,y,0),1))
			tg.setCapability(tg.ALLOW_TRANSFORM_READ)
			tg.setCapability(tg.ALLOW_TRANSFORM_WRITE)
			tg.setCapability(tg.ENABLE_PICK_REPORTING)
			tg.addChild(ColorCube(0.1))
			root.addChild(tg)
	return root
	
		
	
orb=Hello2(create_scene_graph)
MainFrame(orb,400,400)

