from Def3d import *

def create_scene_graph(u):
	root=BranchGroup()
	target=TransformGroup()
	target.setCapability(target.ALLOW_TRANSFORM_WRITE)
	alpha=Alpha(-1, 10000)
	axisr=Transform3D()
	knots=[0, 0.3, 0.6, 1]
	quats=[Quat4f(0,1,1,0), Quat4f(1,0,0,0), Quat4f(0,1,0,0), Quat4f()]
	posits=[Point3f(0,0,-1), Point3f(1, -1,-2), Point3f(-1,1,-3), Point3f()]
	axis=AxisAngle4f(1,0,0,0)
	axisr.set(axis)
	rpp=RotPosPathInterpolator(alpha,target,axisr,knots,quats,posits)
	rpp.setSchedulingBounds(defbounds)
	root.addChild(rpp)
	root.addChild(target)
	target.addChild(ColorCube(0.4))

	
	root.compile()
	return root

	
		
	
orb=Orbiting2(create_scene_graph)
MainFrame(orb,400,400)

