from Def3d import *

class SimpleBehavior(Behavior):
	def __init__(self,target):
		Behavior.__init__(self)
		self.angle=0
		self.target=target
		self.rotation=Transform3D()
	
	def initialize(self):
		self.wakeupOn(WakeupOnAWTEvent(Integer(KeyEvent.KEY_PRESSED)))
		
	def processStimulus(self,criteria):
		self.angle=self.angle+0.1
		self.rotation.rotY(self.angle)
		self.target.setTransform(self.rotation)
		self.wakeupOn(WakeupOnAWTEvent(Integer(KeyEvent.KEY_PRESSED)))
		

def create_scene_graph():
	root=BranchGroup()
	rotate=TransformGroup()
	rotate.setCapability(TransformGroup.ALLOW_TRANSFORM_WRITE)
	root.addChild(rotate)
	rotate.addChild(ColorCube(0.4))
	myrotbehavior=SimpleBehavior(rotate)
	myrotbehavior.setSchedulingBounds(defbounds)
	root.addChild(myrotbehavior)
	root.compile()
	return root

orb=Orbiting(create_scene_graph)
MainFrame(orb,400,400)
